%define upstream_name    Dist-Zilla-Plugin-Alien
%define upstream_version 0.024

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Dist::Zilla::PluginBundle::Basic for Alien
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::Base) >= 0.2.0
BuildRequires: perl(Dist::Zilla) >= 4.300.30
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir) >= 1.30.0
BuildRequires: perl(Path::Class) >= 0.13.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildArch:  noarch

%description
This is a simple wrapper around Alien::Base, to make it very simple to
generate a distribution that uses it. You only need to make a module like
in this case Alien::myapp which extends Alien::Base and additionally a url
that points to the path where the downloadable .tar.gz of the application
or library can be found. For more informations about the parameter, please
checkout also the Alien::Base documentation. The _repo_
parameter is automatically taken apart to supply the protocol, host and
other parameters for Alien::Base.

*Warning*: Please be aware that Alien::Base uses 
Module::Build, which means you shouldn't have
Dist::Zilla::Plugin::MakeMaker loaded. For our case, this means,
you can't just easily use it together with the common
Dist::Zilla::PluginBundle::Basic, because this includes it. As
alternative you can use Dist::Zilla::PluginBundle::Alien which
is also included in this distribution.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri May 06 2022 tv <tv> 0.24.0-1.mga9
+ Revision: 1856454
- update to 0.024

* Mon Mar 28 2022 umeabot <umeabot> 0.23.0-6.mga9
+ Revision: 1830122
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.23.0-5.mga8
+ Revision: 1503890
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.23.0-4.mga7
+ Revision: 1282977
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 tv <tv> 0.23.0-3.mga7
+ Revision: 1168174
- fix build deps (especially missing URI)

* Sun Jun 19 2016 pterjan <pterjan> 0.23.0-2.mga6
+ Revision: 1025814
- Rebuild for perl 5.22.2

* Sat Apr 09 2016 shlomif <shlomif> 0.23.0-1.mga6
+ Revision: 999579
- imported package perl-Dist-Zilla-Plugin-Alien

